Bug 1779397 - Having chemical-mime-data installed prevents firmware updates on Dell machines
Summary: Having chemical-mime-data installed prevents firmware updates on Dell machines
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: chemical-mime-data
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Julian Sikorski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-03 22:22 UTC by Sebastian Keller
Modified: 2019-12-13 01:04 UTC (History)
1 user (show)

Fixed In Version: chemical-mime-data-0.1.94-26.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-13 00:54:15 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Sebastian Keller 2019-12-03 22:22:54 UTC
chemical-mime-data contains the "chemical/x-turbomole-vibrational" mime type which is defined using a glob pattern match of "???" meaning any file with a three letter name could potentially be assigned this mime type instead of "text/plain". This happens to "fwupd" when generating a cache for its quirks files, leading it to see an unsupported mime type somewhere in the process. This causes all quirks to be ignored, which on some hardware are required for it to work. On Dell machines for example there is a quirk that is required to correctly interpret the firmware version.

For more details see: https://github.com/fwupd/fwupd/issues/1631

Comment 1 Julian Sikorski 2019-12-04 06:23:09 UTC
I don't think it is supposed to be a 3 character glob pattern - I believe the pattern is actually unknown. I will disable this mime type.

Comment 2 Fedora Update System 2019-12-04 07:04:43 UTC
FEDORA-2019-b7ddfecab1 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b7ddfecab1

Comment 3 Fedora Update System 2019-12-04 07:05:06 UTC
FEDORA-2019-2fb7f53290 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2fb7f53290

Comment 4 Fedora Update System 2019-12-05 01:23:36 UTC
chemical-mime-data-0.1.94-26.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2fb7f53290

Comment 5 Fedora Update System 2019-12-05 02:00:40 UTC
chemical-mime-data-0.1.94-25.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b7ddfecab1

Comment 6 Fedora Update System 2019-12-13 00:54:15 UTC
chemical-mime-data-0.1.94-26.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-12-13 01:04:16 UTC
chemical-mime-data-0.1.94-25.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.